package com.qmth.sop.business.bean.result;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description 区域概况
 * @Author haoguanghui
 * @date 2024/09/10
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ServiceUnitProvinceResult {

    @ApiModelProperty(value = "省份")
    private String province;

    @ApiModelProperty(value = "派单数")
    private Integer crmNum;

    @ApiModelProperty(value = "sop数量")
    private Integer sopNum;

    @ApiModelProperty(value = "准备阶段sop数量")
    private Integer prepareSopNum;

    @ApiModelProperty(value = "扫描阶段sop数量")
    private Integer scanSopNum;

    @ApiModelProperty(value = "评卷阶段sop数量")
    private Integer markSopNum;

    @ApiModelProperty(value = "收尾阶段sop数量")
    private Integer finalSopNum;

    @ApiModelProperty(value = "已完成sop数量")
    private Integer finishSopNum;

    @ApiModelProperty(value = "按照省份统计派单的数量")
    private Integer provinceCrmNum;

    @ApiModelProperty(value = "扫描、评卷、收尾、结束sop数量之和")
    private Integer sopSum;


    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public Integer getCrmNum() {
        return crmNum;
    }

    public void setCrmNum(Integer crmNum) {
        this.crmNum = crmNum;
    }

    public Integer getSopNum() {
        return sopNum;
    }

    public void setSopNum(Integer sopNum) {
        this.sopNum = sopNum;
    }

    public Integer getPrepareSopNum() {
        return prepareSopNum;
    }

    public void setPrepareSopNum(Integer prepareSopNum) {
        this.prepareSopNum = prepareSopNum;
    }

    public Integer getScanSopNum() {
        return scanSopNum;
    }

    public void setScanSopNum(Integer scanSopNum) {
        this.scanSopNum = scanSopNum;
    }

    public Integer getMarkSopNum() {
        return markSopNum;
    }

    public void setMarkSopNum(Integer markSopNum) {
        this.markSopNum = markSopNum;
    }

    public Integer getFinalSopNum() {
        return finalSopNum;
    }

    public void setFinalSopNum(Integer finalSopNum) {
        this.finalSopNum = finalSopNum;
    }

    public Integer getFinishSopNum() {
        return finishSopNum;
    }

    public void setFinishSopNum(Integer finishSopNum) {
        this.finishSopNum = finishSopNum;
    }

    public Integer getProvinceCrmNum() {
        return provinceCrmNum;
    }

    public void setProvinceCrmNum(Integer provinceCrmNum) {
        this.provinceCrmNum = provinceCrmNum;
    }

    public Integer getSopSum() {
        return sopSum;
    }

    public void setSopSum(Integer sopSum) {
        this.sopSum = sopSum;
    }
}
